## org.apache.cassandra.cql3.statements
Class CreateKeyspaceStatement

    java.lang.Object
      org.apache.cassandra.cql3.statements.ParsedStatement
          org.apache.cassandra.cql3.statements.CFStatement
              org.apache.cassandra.cql3.statements.SchemaAlteringStatement
                  org.apache.cassandra.cql3.statements.CreateKeyspaceStatement

All Implemented Interfaces:
  CQLStatement

    public class CreateKeyspaceStatement

extends SchemaAlteringStatement

A `CREATE KEYSPACE` statement parsed from a CQL query.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.ParsedStatement
`ParsedStatement.Prepared`

Field Summary

Fields inherited from class org.apache.cassandra.cql3.statements.CFStatement
`cfName`

Constructor Summary
`CreateKeyspaceStatement(java.lang.String name, KSPropDefs attrs)` Creates a new `CreateKeyspaceStatement` instance for a given keyspace name and keyword arguments.

Method Summary
`void` `announceMigration()`
`void` `checkAccess(ClientState state)` Perform any access verification necessary for the statement.
`void` `validate(ClientState state)` The `CqlParser` only goes as far as extracting the keyword arguments from these statements, so this method is responsible for processing and validating.

Methods inherited from class org.apache.cassandra.cql3.statements.SchemaAlteringStatement
`execute, prepare, prepareKeyspace`

Methods inherited from class org.apache.cassandra.cql3.statements.CFStatement
`columnFamily, keyspace`

Methods inherited from class org.apache.cassandra.cql3.statements.ParsedStatement
`getBoundsTerms, setBoundTerms`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cassandra.cql3.CQLStatement
`getBoundsTerms`

Constructor Detail

### CreateKeyspaceStatement

    public CreateKeyspaceStatement(java.lang.String name,
                                   KSPropDefs attrs)

  Creates a new `CreateKeyspaceStatement` instance for a given keyspace name and keyword arguments.

  Parameters:
    `name` - the name of the keyspace to create
    `attrs` - map of the raw keyword arguments that followed the `WITH` keyword.

Method Detail

### checkAccess

    public void checkAccess(ClientState state)
                     throws InvalidRequestException

  Description copied from interface: `CQLStatement`
  Perform any access verification necessary for the statement.

  Parameters:
    `state` - the current client state
  Throws:
    `InvalidRequestException`

### validate

    public void validate(ClientState state)
                  throws InvalidRequestException,
                         SchemaDisagreementException

  The `CqlParser` only goes as far as extracting the keyword arguments from these statements, so this method is responsible for processing and validating.

  Specified by:
    `validate` in interface `CQLStatement`
  Overrides:
    `validate` in class `SchemaAlteringStatement`
  Parameters:
    `state` - the current client state
  Throws:
    `InvalidRequestException` - if arguments are missing or unacceptable
    `SchemaDisagreementException`

### announceMigration

    public void announceMigration()
                           throws InvalidRequestException,
                                  ConfigurationException

  Specified by:
    `announceMigration` in class `SchemaAlteringStatement`
  Throws:
    `InvalidRequestException`
    `ConfigurationException`

Copyright © 2013 The Apache Software Foundation